Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
file.h File Reference
`#include <fcntl.h>`
Include dependency graph for file.h:

Go to the source code of this file.

## Macros
#define | L_SET 0 /* seek from beginning. */
#define | L_CURR 1 /* seek from current position. */
#define | L_INCR 1 /* ditto. */
#define | L_XTND 2 /* seek from end. */
#define | R_OK 4 /* test whether readable. */
#define | W_OK 2 /* test whether writable. */
#define | X_OK 1 /* test whether execubale. */
#define | F_OK 0 /* test whether exist. */

## Macro Definition Documentation

#define F_OK 0 /* test whether exist. */

Definition at line 19 of file file.h.

#define L_CURR 1 /* seek from current position. */

Definition at line 10 of file file.h.

#define L_INCR 1 /* ditto. */

Definition at line 11 of file file.h.

#define L_SET 0 /* seek from beginning. */

Definition at line 9 of file file.h.

#define L_XTND 2 /* seek from end. */

Definition at line 12 of file file.h.

#define R_OK 4 /* test whether readable. */

Definition at line 16 of file file.h.

Referenced by rb_file_readable_p(), and rb_file_readable_real_p().

#define W_OK 2 /* test whether writable. */

Definition at line 17 of file file.h.

Referenced by path_check_0(), rb_file_writable_p(), and rb_file_writable_real_p().

#define X_OK 1 /* test whether execubale. */

Definition at line 18 of file file.h.

Referenced by dln_find_1(), eaccess(), rb_file_executable_p(), and rb_file_executable_real_p().